Create a Task
curl --request POST \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/tasks \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: */*' \
--data '
{
"assigned_to": [
"john.doe@blinkops.com"
],
"description": "Investigate the malware alert generated by CrowdStrike Falcon",
"due_date": "2024-06-29T21:00:00.000Z",
"is_blocking": false,
"name": "Investigate Malware Alert",
"priority": 1,
"status": "OPEN",
"type": "Investigation"
}
'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/tasks"
payload = {
"assigned_to": ["john.doe@blinkops.com"],
"description": "Investigate the malware alert generated by CrowdStrike Falcon",
"due_date": "2024-06-29T21:00:00.000Z",
"is_blocking": False,
"name": "Investigate Malware Alert",
"priority": 1,
"status": "OPEN",
"type": "Investigation"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': '*/*'},
body: JSON.stringify({
assigned_to: ['john.doe@blinkops.com'],
description: 'Investigate the malware alert generated by CrowdStrike Falcon',
due_date: '2024-06-29T21:00:00.000Z',
is_blocking: false,
name: 'Investigate Malware Alert',
priority: 1,
status: 'OPEN',
type: 'Investigation'
})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assigned_to": [
"john.doe@blinkops.com"
],
"description": "Investigate the malware alert generated by CrowdStrike Falcon",
"due_date": "2024-06-29T21:00:00.000Z",
"is_blocking": false,
"name": "Investigate Malware Alert",
"priority": 1,
"status": "OPEN",
"type": "Investigation"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Case Management
Create a Task
API endpoint to create a new task within a case in Blink’s case management system.
POST
/
workspace
/
{ws_id}
/
case_management
/
table
/
tasks
Create a Task
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
*/*
Task Data
Example:
["john.doe@blinkops.com"]
Example:
"Investigate the malware alert generated by CrowdStrike Falcon"
Example:
"2024-06-29T21:00:00.000Z"
Example:
false
Example:
"Investigate Malware Alert"
Example:
1
Available options:
OPEN, IN PROGRESS, CLOSED Example:
"OPEN"
Available options:
Investigation, Enrichment, Remediation, Response Validation, Compliance, Reporting & Documentation, Escalation, Workflow Automation Example:
"Investigation"
Response
OK
Example:
["john.doe@blinkops.com"]
Example:
"Investigate the malware alert generated by CrowdStrike Falcon"
Example:
"2024-06-29T21:00:00.000Z"
Example:
false
Example:
"Investigate Malware Alert"
Example:
1
Available options:
OPEN, IN PROGRESS, CLOSED Example:
"OPEN"
Available options:
Investigation, Enrichment, Remediation, Response Validation, Compliance, Reporting & Documentation, Escalation, Workflow Automation Example:
"Investigation"
Was this page helpful?
⌘I